%define debug_package %{nil}

Summary: Nagios plugins to check Hardware Status of HP Proliant and Blades
Name: monitor-plugin-check_hpasm
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: http://labs.consol.de/download/shinken-nagios-plugins/check_hpasm-%{version}.tar.gz
Requires: perl(Nagios::Plugin)
BuildRequires: automake
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
check_hpasm is a monitoring plugin to check the health status of HP Hardware such as
Proliant and Blade Chassis. Retrieved from https://labs.consol.de/nagios/check_hpasm/.

%prep
%setup -q -n check_hpasm-%{version}

%build
aclocal
autoconf
automake
./configure --libexecdir=%{prefix} --libdir=%{prefix} --enable-perfdata
make


%install
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%attr(755, root, root) %{prefix}/check_hpasm

%changelog
* Thu Feb 20 2014 Anton Löfgren < alofgren@op5.com>
- Repackage for op5 distribution
* Thu Nov 13 2012 Pall Sigurdsson <palli@opensource.is> 4.6.2.1-1
- Initial packaging
